diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/packetbb.h ns-3.44/src/network/utils/packetbb.h
--- ns-3.43/src/network/utils/packetbb.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/packetbb.h	2025-03-09 16:55:49.679372300 -0700
@@ -1205,309 +1205,309 @@
     /* Manipulating the address block */
 
     /**
-     * \return an iterator to the first address in this block.
+     * @return an iterator to the first address in this block.
      */
     AddressIterator AddressBegin();
 
     /**
-     * \return a const iterator to the first address in this block.
+     * @return a const iterator to the first address in this block.
      */
     ConstAddressIterator AddressBegin() const;
 
     /**
-     * \return an iterator to the last address in this block.
+     * @return an iterator to the last address in this block.
      */
     AddressIterator AddressEnd();
 
     /**
-     * \return a const iterator to the last address in this block.
+     * @return a const iterator to the last address in this block.
      */
     ConstAddressIterator AddressEnd() const;
 
     /**
-     * \return the number of addresses in this block.
+     * @return the number of addresses in this block.
      */
     int AddressSize() const;
 
     /**
-     * \return true if there are no addresses in this block, false otherwise.
+     * @return true if there are no addresses in this block, false otherwise.
      */
     bool AddressEmpty() const;
 
     /**
-     * \return the first address in this block.
+     * @return the first address in this block.
      */
     Address AddressFront() const;
 
     /**
-     * \return the last address in this block.
+     * @return the last address in this block.
      */
     Address AddressBack() const;
 
     /**
-     * \brief Prepends an address to the front of this block.
-     * \param address the address to prepend.
+     * @brief Prepends an address to the front of this block.
+     * @param address the address to prepend.
      */
     void AddressPushFront(Address address);
 
     /**
-     * \brief Removes an address from the front of this block.
+     * @brief Removes an address from the front of this block.
      */
     void AddressPopFront();
 
     /**
-     * \brief Appends an address to the back of this block.
-     * \param address the address to append.
+     * @brief Appends an address to the back of this block.
+     * @param address the address to append.
      */
     void AddressPushBack(Address address);
 
     /**
-     * \brief Removes an address from the back of this block.
+     * @brief Removes an address from the back of this block.
      */
     void AddressPopBack();
 
     /**
-     * \brief Inserts an address at the specified position in this block.
-     * \param position an Iterator pointing to the position in this block to
+     * @brief Inserts an address at the specified position in this block.
+     * @param position an Iterator pointing to the position in this block to
      *        insert the address.
-     * \param value the address to insert.
-     * \return An iterator pointing to the newly inserted address.
+     * @param value the address to insert.
+     * @return An iterator pointing to the newly inserted address.
      */
     AddressIterator AddressInsert(AddressIterator position, const Address value);
 
     /**
-     * \brief Removes the address at the specified position.
-     * \param position an Iterator pointing to the address to erase.
-     * \return an iterator pointing to the next address in the block.
+     * @brief Removes the address at the specified position.
+     * @param position an Iterator pointing to the address to erase.
+     * @return an iterator pointing to the next address in the block.
      */
     AddressIterator AddressErase(AddressIterator position);
 
     /**
-     * \brief Removes all addresses from [first, last) (includes first, not
+     * @brief Removes all addresses from [first, last) (includes first, not
      *        includes last).
-     * \param first an Iterator pointing to the first address to erase
+     * @param first an Iterator pointing to the first address to erase
      *        (inclusive).
-     * \param last an Iterator pointing to the element past the last address to
+     * @param last an Iterator pointing to the element past the last address to
      *        erase.
-     * \return an iterator pointing to the next address in the block.
+     * @return an iterator pointing to the next address in the block.
      */
     AddressIterator AddressErase(AddressIterator first, AddressIterator last);
 
     /**
-     * \brief Removes all addresses from this block.
+     * @brief Removes all addresses from this block.
      */
     void AddressClear();
 
     /* Prefix methods */
 
     /**
-     * \return an iterator to the first prefix in this block.
+     * @return an iterator to the first prefix in this block.
      */
     PrefixIterator PrefixBegin();
 
     /**
-     * \return a const iterator to the first prefix in this block.
+     * @return a const iterator to the first prefix in this block.
      */
     ConstPrefixIterator PrefixBegin() const;
 
     /**
-     * \return an iterator to the last prefix in this block.
+     * @return an iterator to the last prefix in this block.
      */
     PrefixIterator PrefixEnd();
 
     /**
-     * \return a const iterator to the last prefix in this block.
+     * @return a const iterator to the last prefix in this block.
      */
     ConstPrefixIterator PrefixEnd() const;
 
     /**
-     * \return the number of prefixes in this block.
+     * @return the number of prefixes in this block.
      */
     int PrefixSize() const;
 
     /**
-     * \return true if there are no prefixes in this block, false otherwise.
+     * @return true if there are no prefixes in this block, false otherwise.
      */
     bool PrefixEmpty() const;
 
     /**
-     * \return the first prefix in this block.
+     * @return the first prefix in this block.
      */
     uint8_t PrefixFront() const;
 
     /**
-     * \return the last prefix in this block.
+     * @return the last prefix in this block.
      */
     uint8_t PrefixBack() const;
 
     /**
-     * \brief Prepends a prefix to the front of this block.
-     * \param prefix the prefix to prepend.
+     * @brief Prepends a prefix to the front of this block.
+     * @param prefix the prefix to prepend.
      */
     void PrefixPushFront(uint8_t prefix);
 
     /**
-     * \brief Removes a prefix from the front of this block.
+     * @brief Removes a prefix from the front of this block.
      */
     void PrefixPopFront();
 
     /**
-     * \brief Appends a prefix to the back of this block.
-     * \param prefix the prefix to append.
+     * @brief Appends a prefix to the back of this block.
+     * @param prefix the prefix to append.
      */
     void PrefixPushBack(uint8_t prefix);
 
     /**
-     * \brief Removes a prefix from the back of this block.
+     * @brief Removes a prefix from the back of this block.
      */
     void PrefixPopBack();
 
     /**
-     * \brief Inserts a prefix at the specified position in this block.
-     * \param position an Iterator pointing to the position in this block to
+     * @brief Inserts a prefix at the specified position in this block.
+     * @param position an Iterator pointing to the position in this block to
      *        insert the prefix.
-     * \param value the prefix to insert.
-     * \return An iterator pointing to the newly inserted prefix.
+     * @param value the prefix to insert.
+     * @return An iterator pointing to the newly inserted prefix.
      */
     PrefixIterator PrefixInsert(PrefixIterator position, const uint8_t value);
 
     /**
-     * \brief Removes the prefix at the specified position.
-     * \param position an Iterator pointing to the prefix to erase.
-     * \return an iterator pointing to the next prefix in the block.
+     * @brief Removes the prefix at the specified position.
+     * @param position an Iterator pointing to the prefix to erase.
+     * @return an iterator pointing to the next prefix in the block.
      */
     PrefixIterator PrefixErase(PrefixIterator position);
 
     /**
-     * \brief Removes all prefixes from [first, last) (includes first, not
+     * @brief Removes all prefixes from [first, last) (includes first, not
      *        includes last).
-     * \param first an Iterator pointing to the first prefix to erase
+     * @param first an Iterator pointing to the first prefix to erase
      *        (inclusive).
-     * \param last an Iterator pointing to the element past the last prefix to
+     * @param last an Iterator pointing to the element past the last prefix to
      *        erase.
-     * \return an iterator pointing to the next prefix in the block.
+     * @return an iterator pointing to the next prefix in the block.
      */
     PrefixIterator PrefixErase(PrefixIterator first, PrefixIterator last);
 
     /**
-     * \brief Removes all prefixes from this block.
+     * @brief Removes all prefixes from this block.
      */
     void PrefixClear();
 
     /* Manipulating the TLV block */
 
     /**
-     * \return an iterator to the first address TLV in this block.
+     * @return an iterator to the first address TLV in this block.
      */
     TlvIterator TlvBegin();
 
     /**
-     * \return a const iterator to the first address TLV in this block.
+     * @return a const iterator to the first address TLV in this block.
      */
     ConstTlvIterator TlvBegin() const;
 
     /**
-     * \return an iterator to the last address TLV in this block.
+     * @return an iterator to the last address TLV in this block.
      */
     TlvIterator TlvEnd();
 
     /**
-     * \return a const iterator to the last address TLV in this block.
+     * @return a const iterator to the last address TLV in this block.
      */
     ConstTlvIterator TlvEnd() const;
 
     /**
-     * \return the number of address TLVs in this block.
+     * @return the number of address TLVs in this block.
      */
     int TlvSize() const;
 
     /**
-     * \return true if there are no address TLVs in this block, false otherwise.
+     * @return true if there are no address TLVs in this block, false otherwise.
      */
     bool TlvEmpty() const;
 
     /**
-     * \return a smart pointer to the first address TLV in this block.
+     * @return a smart pointer to the first address TLV in this block.
      */
     Ptr<PbbAddressTlv> TlvFront();
 
     /**
-     * \return a const smart pointer to the first address TLV in this message.
+     * @return a const smart pointer to the first address TLV in this message.
      */
     const Ptr<PbbAddressTlv> TlvFront() const;
 
     /**
-     * \return a smart pointer to the last address TLV in this message.
+     * @return a smart pointer to the last address TLV in this message.
      */
     Ptr<PbbAddressTlv> TlvBack();
 
     /**
-     * \return a const smart pointer to the last address TLV in this message.
+     * @return a const smart pointer to the last address TLV in this message.
      */
     const Ptr<PbbAddressTlv> TlvBack() const;
 
     /**
-     * \brief Prepends an address TLV to the front of this message.
-     * \param address a smart pointer to the address TLV to prepend.
+     * @brief Prepends an address TLV to the front of this message.
+     * @param address a smart pointer to the address TLV to prepend.
      */
     void TlvPushFront(Ptr<PbbAddressTlv> address);
 
     /**
-     * \brief Removes an address TLV from the front of this message.
+     * @brief Removes an address TLV from the front of this message.
      */
     void TlvPopFront();
 
     /**
-     * \brief Appends an address TLV to the back of this message.
-     * \param address a smart pointer to the address TLV to append.
+     * @brief Appends an address TLV to the back of this message.
+     * @param address a smart pointer to the address TLV to append.
      */
     void TlvPushBack(Ptr<PbbAddressTlv> address);
 
     /**
-     * \brief Removes an address TLV from the back of this message.
+     * @brief Removes an address TLV from the back of this message.
      */
     void TlvPopBack();
 
     /**
-     * \brief Inserts an address TLV at the specified position in this block.
-     * \param position an Iterator pointing to the position in this block to
+     * @brief Inserts an address TLV at the specified position in this block.
+     * @param position an Iterator pointing to the position in this block to
      *        insert the address TLV.
-     * \param value the prefix to insert.
-     * \return An iterator pointing to the newly inserted address TLV.
+     * @param value the prefix to insert.
+     * @return An iterator pointing to the newly inserted address TLV.
      */
     TlvIterator TlvInsert(TlvIterator position, const Ptr<PbbTlv> value);
 
     /**
-     * \brief Removes the address TLV at the specified position.
-     * \param position an Iterator pointing to the address TLV to erase.
-     * \return an iterator pointing to the next address TLV in the block.
+     * @brief Removes the address TLV at the specified position.
+     * @param position an Iterator pointing to the address TLV to erase.
+     * @return an iterator pointing to the next address TLV in the block.
      */
     TlvIterator TlvErase(TlvIterator position);
 
     /**
-     * \brief Removes all address TLVs from [first, last) (includes first, not
+     * @brief Removes all address TLVs from [first, last) (includes first, not
      *        includes last).
-     * \param first an Iterator pointing to the first address TLV to erase
+     * @param first an Iterator pointing to the first address TLV to erase
      *        (inclusive).
-     * \param last an Iterator pointing to the element past the last address TLV
+     * @param last an Iterator pointing to the element past the last address TLV
      *        to erase.
-     * \return an iterator pointing to the next address TLV in the message.
+     * @return an iterator pointing to the next address TLV in the message.
      */
     TlvIterator TlvErase(TlvIterator first, TlvIterator last);
 
     /**
-     * \brief Removes all address TLVs from this block.
+     * @brief Removes all address TLVs from this block.
      */
     void TlvClear();
 
     /**
-     * \return The size (in bytes) needed to serialize this address block.
+     * @return The size (in bytes) needed to serialize this address block.
      */
     uint32_t GetSerializedSize() const;
 
     /**
-     * \brief Serializes this address block into the specified buffer.
-     * \param start a reference to the point in a buffer to begin serializing.
+     * @brief Serializes this address block into the specified buffer.
+     * @param start a reference to the point in a buffer to begin serializing.
      *
      * Users should not need to call this.  Blocks will be deserialized by their
      * containing packet.
@@ -1515,8 +1515,8 @@
     void Serialize(Buffer::Iterator& start) const;
 
     /**
-     * \brief Deserializes an address block from the specified buffer.
-     * \param start a reference to the point in a buffer to begin deserializing.
+     * @brief Deserializes an address block from the specified buffer.
+     * @param start a reference to the point in a buffer to begin deserializing.
      *
      * Users should not need to call this.  Blocks will be deserialized by their
      * containing packet.
@@ -1524,16 +1524,16 @@
     void Deserialize(Buffer::Iterator& start);
 
     /**
-     * \brief Pretty-prints the contents of this address block.
-     * \param os a stream object to print to.
+     * @brief Pretty-prints the contents of this address block.
+     * @param os a stream object to print to.
      */
     void Print(std::ostream& os) const;
 
     /**
-     * \brief Pretty-prints the contents of this address block, with specified
+     * @brief Pretty-prints the contents of this address block, with specified
      *        indentation.
-     * \param os a stream object to print to.
-     * \param level level of indentation.
+     * @param os a stream object to print to.
+     * @param level level of indentation.
      *
      * This probably never needs to be called by users.  This is used when
      * recursively printing sub-objects.
@@ -1541,64 +1541,64 @@
     void Print(std::ostream& os, int level) const;
 
     /**
-     * \brief Equality operator for PbbAddressBlock
-     * \param other PbbAddressBlock to compare to this one
-     * \returns true if PbbMessages are equal
+     * @brief Equality operator for PbbAddressBlock
+     * @param other PbbAddressBlock to compare to this one
+     * @returns true if PbbMessages are equal
      */
     bool operator==(const PbbAddressBlock& other) const;
 
     /**
-     * \brief Inequality operator for PbbAddressBlock
-     * \param other PbbAddressBlock to compare to this one
-     * \returns true if PbbAddressBlock are not equal
+     * @brief Inequality operator for PbbAddressBlock
+     * @param other PbbAddressBlock to compare to this one
+     * @returns true if PbbAddressBlock are not equal
      */
     bool operator!=(const PbbAddressBlock& other) const;
 
   protected:
     /**
-     * \brief Returns address length
-     * \returns Address length
+     * @brief Returns address length
+     * @returns Address length
      */
     virtual uint8_t GetAddressLength() const = 0;
     /**
-     * \brief Serialize one or more addresses
-     * \param buffer the buffer to serialize to
-     * \param iter the iterator to the addresses
+     * @brief Serialize one or more addresses
+     * @param buffer the buffer to serialize to
+     * @param iter the iterator to the addresses
      */
     virtual void SerializeAddress(uint8_t* buffer, ConstAddressIterator iter) const = 0;
     /**
-     * \brief Deserialize one address
-     * \param buffer the buffer to deserialize from
-     * \returns the address
+     * @brief Deserialize one address
+     * @param buffer the buffer to deserialize from
+     * @returns the address
      */
     virtual Address DeserializeAddress(uint8_t* buffer) const = 0;
     /**
-     * \brief Print one or more addresses
-     * \param os the output stream
-     * \param iter the iterator to the addresses
+     * @brief Print one or more addresses
+     * @param os the output stream
+     * @param iter the iterator to the addresses
      */
     virtual void PrintAddress(std::ostream& os, ConstAddressIterator iter) const = 0;
 
   private:
     /**
-     * \brief Get the prefix flags
-     * \return the prefix flags
+     * @brief Get the prefix flags
+     * @return the prefix flags
      */
     uint8_t GetPrefixFlags() const;
     /**
-     * \brief Get head and tail
-     * \param head the head
-     * \param headlen the head length
-     * \param tail the tail
-     * \param taillen the tail length
+     * @brief Get head and tail
+     * @param head the head
+     * @param headlen the head length
+     * @param tail the tail
+     * @param taillen the tail length
      */
     void GetHeadTail(uint8_t* head, uint8_t& headlen, uint8_t* tail, uint8_t& taillen) const;
 
     /**
-     * \brief Check if the tail is empty
-     * \param tail the tail
-     * \param taillen the tail length
-     * \returns true if the tail is empty
+     * @brief Check if the tail is empty
+     * @param tail the tail
+     * @param taillen the tail length
+     * @returns true if the tail is empty
      */
     bool HasZeroTail(const uint8_t* tail, uint8_t taillen) const;
 
@@ -1608,7 +1608,7 @@
 };
 
 /**
- * \brief Concrete IPv4 specific PbbAddressBlock.
+ * @brief Concrete IPv4 specific PbbAddressBlock.
  *
  * This address block will only contain IPv4 addresses.
  */
@@ -1620,8 +1620,8 @@
 
   protected:
     /**
-     * \brief Returns address length
-     * \returns Address length
+     * @brief Returns address length
+     * @returns Address length
      */
     uint8_t GetAddressLength() const override;
     void SerializeAddress(uint8_t* buffer, ConstAddressIterator iter) const override;
@@ -1630,7 +1630,7 @@
 };
 
 /**
- * \brief Concrete IPv6 specific PbbAddressBlock.
+ * @brief Concrete IPv6 specific PbbAddressBlock.
  *
  * This address block will only contain IPv6 addresses.
  */
@@ -1642,8 +1642,8 @@
 
   protected:
     /**
-     * \brief Returns address length
-     * \returns Address length
+     * @brief Returns address length
+     * @returns Address length
      */
     uint8_t GetAddressLength() const override;
     void SerializeAddress(uint8_t* buffer, ConstAddressIterator iter) const override;
@@ -1652,7 +1652,7 @@
 };
 
 /**
- * \brief A packet or message TLV
+ * @brief A packet or message TLV
  */
 class PbbTlv : public SimpleRefCount<PbbTlv>
 {
@@ -1661,19 +1661,19 @@
     virtual ~PbbTlv();
 
     /**
-     * \brief Sets the type of this TLV.
-     * \param type the type value to set.
+     * @brief Sets the type of this TLV.
+     * @param type the type value to set.
      */
     void SetType(uint8_t type);
 
     /**
-     * \return the type of this TLV.
+     * @return the type of this TLV.
      */
     uint8_t GetType() const;
 
     /**
-     * \brief Sets the type extension of this TLV.
-     * \param type the type extension value to set.
+     * @brief Sets the type extension of this TLV.
+     * @param type the type extension value to set.
      *
      * The type extension is like a sub-type used to further distinguish between
      * TLVs of the same type.
@@ -1681,7 +1681,7 @@
     void SetTypeExt(uint8_t type);
 
     /**
-     * \return the type extension for this TLV.
+     * @return the type extension for this TLV.
      *
      * Calling this while HasTypeExt is False is undefined.  Make sure you check
      * it first.  This will be checked by an assert in debug builds.
@@ -1689,8 +1689,8 @@
     uint8_t GetTypeExt() const;
 
     /**
-     * \brief Tests whether or not this TLV has a type extension.
-     * \return true if this TLV has a type extension, false otherwise.
+     * @brief Tests whether or not this TLV has a type extension.
+     * @return true if this TLV has a type extension, false otherwise.
      *
      * This should be called before calling GetTypeExt to make sure there
      * actually is one.
@@ -1698,8 +1698,8 @@
     bool HasTypeExt() const;
 
     /**
-     * \brief Sets the value of this message to the specified buffer.
-     * \param start a buffer instance.
+     * @brief Sets the value of this message to the specified buffer.
+     * @param start a buffer instance.
      *
      * The buffer is _not_ copied until this TLV is serialized.  You should not
      * change the contents of the buffer you pass in to this function.
@@ -1707,9 +1707,9 @@
     void SetValue(Buffer start);
 
     /**
-     * \brief Sets the value of this message to a buffer with the specified data.
-     * \param buffer a pointer to data to put in the TLVs buffer.
-     * \param size the size of the buffer.
+     * @brief Sets the value of this message to a buffer with the specified data.
+     * @param buffer a pointer to data to put in the TLVs buffer.
+     * @param size the size of the buffer.
      *
      * The buffer *is copied* into a *new buffer instance*.  You can free the
      * data in the buffer provided anytime you wish.
@@ -1717,7 +1717,7 @@
     void SetValue(const uint8_t* buffer, uint32_t size);
 
     /**
-     * \return a Buffer pointing to the value of this TLV.
+     * @return a Buffer pointing to the value of this TLV.
      *
      * Calling this while HasValue is False is undefined.  Make sure you check it
      * first.  This will be checked by an assert in debug builds.
@@ -1725,8 +1725,8 @@
     Buffer GetValue() const;
 
     /**
-     * \brief Tests whether or not this TLV has a value.
-     * \return true if this tlv has a TLV, false otherwise.
+     * @brief Tests whether or not this TLV has a value.
+     * @return true if this tlv has a TLV, false otherwise.
      *
      * This should be called before calling GetTypeExt to make sure there
      * actually is one.
@@ -1734,13 +1734,13 @@
     bool HasValue() const;
 
     /**
-     * \return The size (in bytes) needed to serialize this TLV.
+     * @return The size (in bytes) needed to serialize this TLV.
      */
     uint32_t GetSerializedSize() const;
 
     /**
-     * \brief Serializes this TLV into the specified buffer.
-     * \param start a reference to the point in a buffer to begin serializing.
+     * @brief Serializes this TLV into the specified buffer.
+     * @param start a reference to the point in a buffer to begin serializing.
      *
      * Users should not need to call this.  TLVs will be serialized by their
      * containing blocks.
@@ -1748,8 +1748,8 @@
     void Serialize(Buffer::Iterator& start) const;
 
     /**
-     * \brief Deserializes a TLV from the specified buffer.
-     * \param start a reference to the point in a buffer to begin deserializing.
+     * @brief Deserializes a TLV from the specified buffer.
+     * @param start a reference to the point in a buffer to begin deserializing.
      *
      * Users should not need to call this.  TLVs will be deserialized by their
      * containing blocks.
@@ -1757,15 +1757,15 @@
     void Deserialize(Buffer::Iterator& start);
 
     /**
-     * \brief Pretty-prints the contents of this TLV.
-     * \param os a stream object to print to.
+     * @brief Pretty-prints the contents of this TLV.
+     * @param os a stream object to print to.
      */
     void Print(std::ostream& os) const;
 
     /**
-     * \brief Pretty-prints the contents of this TLV, with specified indentation.
-     * \param os a stream object to print to.
-     * \param level level of indentation.
+     * @brief Pretty-prints the contents of this TLV, with specified indentation.
+     * @param os a stream object to print to.
+     * @param level level of indentation.
      *
      * This probably never needs to be called by users.  This is used when
      * recursively printing sub-objects.
@@ -1773,60 +1773,60 @@
     void Print(std::ostream& os, int level) const;
 
     /**
-     * \brief Equality operator for PbbTlv
-     * \param other PbbTlv to compare to this one
-     * \returns true if PbbTlv are equal
+     * @brief Equality operator for PbbTlv
+     * @param other PbbTlv to compare to this one
+     * @returns true if PbbTlv are equal
      */
     bool operator==(const PbbTlv& other) const;
 
     /**
-     * \brief Inequality operator for PbbTlv
-     * \param other PbbTlv to compare to this one
-     * \returns true if PbbTlv are not equal
+     * @brief Inequality operator for PbbTlv
+     * @param other PbbTlv to compare to this one
+     * @returns true if PbbTlv are not equal
      */
     bool operator!=(const PbbTlv& other) const;
 
   protected:
     /**
-     * \brief Set an index as starting point
-     * \param index the starting index
+     * @brief Set an index as starting point
+     * @param index the starting index
      */
     void SetIndexStart(uint8_t index);
     /**
-     * \brief Get the starting point index
-     * \returns the starting index
+     * @brief Get the starting point index
+     * @returns the starting index
      */
     uint8_t GetIndexStart() const;
     /**
-     * \brief Checks if there is a starting index
-     * \returns true if the start index has been set
+     * @brief Checks if there is a starting index
+     * @returns true if the start index has been set
      */
     bool HasIndexStart() const;
 
     /**
-     * \brief Set an index as stop point
-     * \param index the stop index
+     * @brief Set an index as stop point
+     * @param index the stop index
      */
     void SetIndexStop(uint8_t index);
     /**
-     * \brief Get the stop point index
-     * \returns the stop index
+     * @brief Get the stop point index
+     * @returns the stop index
      */
     uint8_t GetIndexStop() const;
     /**
-     * \brief Checks if there is a stop index
-     * \returns true if the stop index has been set
+     * @brief Checks if there is a stop index
+     * @returns true if the stop index has been set
      */
     bool HasIndexStop() const;
 
     /**
-     * \brief Set the multivalue parameter
-     * \param isMultivalue the multivalue status
+     * @brief Set the multivalue parameter
+     * @param isMultivalue the multivalue status
      */
     void SetMultivalue(bool isMultivalue);
     /**
-     * \brief Check the multivalue parameter
-     * \returns the multivalue status
+     * @brief Check the multivalue parameter
+     * @returns the multivalue status
      */
     bool IsMultivalue() const;
 
@@ -1848,20 +1848,20 @@
 };
 
 /**
- * \brief An Address TLV
+ * @brief An Address TLV
  */
 class PbbAddressTlv : public PbbTlv
 {
   public:
     /**
-     * \brief Sets the index of the first address in the associated address block
+     * @brief Sets the index of the first address in the associated address block
      * that this address TLV applies to.
-     * \param index the index of the first address.
+     * @param index the index of the first address.
      */
     void SetIndexStart(uint8_t index);
 
     /**
-     * \return the first (inclusive) index of the address in the corresponding
+     * @return the first (inclusive) index of the address in the corresponding
      * address block that this TLV applies to.
      *
      * Calling this while HasIndexStart is False is undefined.  Make sure you
@@ -1870,8 +1870,8 @@
     uint8_t GetIndexStart() const;
 
     /**
-     * \brief Tests whether or not this address TLV has a start index.
-     * \return true if this address TLV has a start index, false otherwise.
+     * @brief Tests whether or not this address TLV has a start index.
+     * @return true if this address TLV has a start index, false otherwise.
      *
      * This should be called before calling GetIndexStart to make sure there
      * actually is one.
@@ -1879,14 +1879,14 @@
     bool HasIndexStart() const;
 
     /**
-     * \brief Sets the index of the last address in the associated address block
+     * @brief Sets the index of the last address in the associated address block
      * that this address TLV applies to.
-     * \param index the index of the last address.
+     * @param index the index of the last address.
      */
     void SetIndexStop(uint8_t index);
 
     /**
-     * \return the last (inclusive) index of the address in the corresponding
+     * @return the last (inclusive) index of the address in the corresponding
      * PbbAddressBlock that this TLV applies to.
      *
      * Calling this while HasIndexStop is False is undefined.  Make sure you
@@ -1895,8 +1895,8 @@
     uint8_t GetIndexStop() const;
 
     /**
-     * \brief Tests whether or not this address TLV has a stop index.
-     * \return true if this address TLV has a stop index, false otherwise.
+     * @brief Tests whether or not this address TLV has a stop index.
+     * @return true if this address TLV has a stop index, false otherwise.
      *
      * This should be called before calling GetIndexStop to make sure there
      * actually is one.
@@ -1904,8 +1904,8 @@
     bool HasIndexStop() const;
 
     /**
-     * \brief Sets whether or not this address TLV is "multivalue"
-     * \param isMultivalue whether or not this address TLV should be multivalue.
+     * @brief Sets whether or not this address TLV is "multivalue"
+     * @param isMultivalue whether or not this address TLV should be multivalue.
      *
      * If true, this means the value associated with this TLV should be divided
      * evenly into (GetIndexStop() - GetIndexStart() + 1) values.  Otherwise, the
